2017-09-22 19:42 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002549NetSurf[All Projects] Generalpublic2017-09-09 10:32
ReporterBernard Boase 
Assigned ToDaniel Silverstone 
SeveritytweakReproducibilityalways 
StatusresolvedResolutionfixed 
PlatformRISC OSOSRISC OSOS Version5.22, 5.23
Product Version 
Target Version3.7Fixed in Version3.7 
Summary0002549: Rendering of UTF-8 when <meta> attributes not semicolon separated
DescriptionLooking in detail at some recent HTML email attachments (received in
Messenger Pro), Netsurf's rendering of them seems to have a dependence
on the coding of the <meta content=""> tag.

When this tag is present and includes:

     content="text/html charset=utf-8"

any non-ASCII characters are rendered as the three bytes of their UTF-8
encoding, whereas if the two attributes are separated by semicolon:

     content="text/html; charset=utf-8"

the rendering (using Unicode font DejaVu) looks correct.
Steps To ReproduceInsert or delete a separating semicolon in above example.
Additional InformationQuery posted to netsurf-users@netsurf-browser.org forum 14-Jul-2017 in case others have relevant comments.
TagsNo tags attached.
Fixed in CI build #4174
Reported in CI build #4135
URL of problem pagen/a
Attached Files

-Relationships
+Relationships

-Notes
Bernard Boase

~0001572

Bernard Boase (reporter)

A particular HTML email attachment that shows this effect includes headers:

   Mime-Version: 1.0 (Mac OS X Mail 10.3 \(3273\))
   X-Mailer: Apple Mail (2.3273)

Could Apple's omission of the semicolon be contrary to standards?
Daniel Silverstone

~0001578

Daniel Silverstone (administrator)

Bernard,

Could you please provide me with the exact HTML tags present? E.g. is it

    <meta http-equiv="Content-Type" content="text/html charset=utf8">

or is it

    <meta content="text/html charset=utf8">

?
Daniel Silverstone

~0001579

Daniel Silverstone (administrator)

I've pushed a change to hubbub to try and cope with this anyway.
Daniel Silverstone

~0001580

Daniel Silverstone (administrator)

Updated hubbub now seems to resolve this.
+Notes

-Issue History
Date Modified Username Field Change
2017-07-14 12:36 Bernard Boase New Issue
2017-07-14 13:05 Bernard Boase Note Added: 0001572
2017-09-09 09:33 Daniel Silverstone Assigned To => Daniel Silverstone
2017-09-09 09:33 Daniel Silverstone Status new => acknowledged
2017-09-09 09:33 Daniel Silverstone Category RISC OS-specific => General
2017-09-09 09:33 Daniel Silverstone Description Updated View Revisions
2017-09-09 09:33 Daniel Silverstone Note Added: 0001578
2017-09-09 10:02 Daniel Silverstone Note Added: 0001579
2017-09-09 10:03 Daniel Silverstone Status acknowledged => confirmed
2017-09-09 10:32 Daniel Silverstone Target Version => 3.7
2017-09-09 10:32 Daniel Silverstone Fixed in CI build # => 4174
2017-09-09 10:32 Daniel Silverstone Status confirmed => resolved
2017-09-09 10:32 Daniel Silverstone Resolution open => fixed
2017-09-09 10:32 Daniel Silverstone Fixed in Version => 3.7
2017-09-09 10:32 Daniel Silverstone Note Added: 0001580
+Issue History